Skip to main content
GET
/
transactions
/
{id}
Get transaction by id
curl --request GET \
  --url http://api.obsidiam.com/transactions/{id}
{
  "id": "<string>",
  "amountCents": 123,
  "account": "<string>",
  "customer": {
    "id": "<string>",
    "name": "",
    "email": "",
    "cpfCnpj": ""
  },
  "payerName": "",
  "payerCpfCnpj": "",
  "description": "<string>",
  "e2eID": "",
  "status": "<string>",
  "method": "<string>",
  "type": "<string>",
  "currency": "<string>",
  "fees": 123,
  "disputed": true,
  "pixKey": "",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string
required

Response

default - application/json
id
string
required
amountCents
number
required
account
string
required
customer
object
required
payerName
string | null
default:""
required
payerCpfCnpj
string | null
default:""
required
description
string
required
e2eID
string | null
default:""
required
status
string
required
method
string
required
type
string
required
currency
string
required
fees
number
required
disputed
boolean
required
pixKey
string | null
default:""
required
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
completedAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$